Assign Agent
curl --request POST \
--url https://api.getello.ai/api/agents/knowledge-bases/{kb_id}/assign \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '{}'import requests
url = "https://api.getello.ai/api/agents/knowledge-bases/{kb_id}/assign"
payload = {}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};
fetch('https://api.getello.ai/api/agents/knowledge-bases/{kb_id}/assign', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": 200,
"message": "Knowledge base assigned successfully",
"data": {
"assigned_assistant_ids": [
"6960a6a1f89b3cdd196544cb"
],
"assistants_with_kb_count": 2
}
}{
"status": 400,
"message": "Invalid request parameters"
}{
"status": 401,
"message": "Unauthorized access",
"details": "Authentication token is missing or invalid"
}{
"status": 404,
"message": "Knowledge base or agent not found"
}{
"status": 500,
"message": "Something went wrong. Please try again later."
}Agents
Assign Agent
Assigns an existing knowledge base to one or more agents.
POST
/
api
/
agents
/
knowledge-bases
/
{kb_id}
/
assign
Assign Agent
Authorizations
apiKeybearerAuth
Path Parameters
Unique identifier of the knowledge base to assign.
Example:
"kb_12345"
Body
application/json
Example:
["68dce5202fc07b92........"]⌘I